Skip to content

Update the bank account

PUT
/v1/admin/payouts/payout-entities/{payout_entity_id}/account/

Creates a new version of the bank account. Payouts already in transfer keep the account that was active when their batch settled.

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an admin API key as the username and an empty password.

Path Parameters

payout_entity_id*string

The ID of the payout entity.

Formatuuid

Request Body

application/json
  1. body

The bank account payouts go to.

iban*string
bic*string
account_holder*string
Lengthlength <= 255
description?string

Shown on the merchant's bank statement.

Lengthlength <= 255

Response Body

The API key is missing or not valid.

application/json
  1. response
error?
curl -X PUT 'https://api.example.com/v1/admin/payouts/payout-entities/497f6eca-6276-4993-bfeb-53cbbbba6f08/account/' \  --user "$API_KEY:" \  -H 'Content-Type: application/json' \  -d '{  "account_holder": "Acme Coffee B.V.",  "iban": "NL00BANK1234567890",  "bic": "BANKNL2A",  "description": "Acme Coffee payout"}'
{  "error": {    "status": 0,    "type": "string",    "value": "string",    "property_path": "string",    "property_description": "string"  }}